# Select Box Link Field

- Version: 1.20
- Author: Symphony Team (team@symphony-cms.com)
- Build Date: 1st August 2011
- Requirements: Symphony 2.0.6 or greater


## Installation

1. Upload the 'selectbox_link_field' folder in this archive to your Symphony 'extensions' folder.

2. Enable it by selecting the "Field: Select Box Link", choose Enable from the with-selected menu, then click Apply.

3. You can now add the "Select Box Link" field to your sections.

## Updating

1. Be sure to visit the Extension page in the Symphony admin and
   enable "Select Box Link Field" so the database is updated accordingly.

## Usage

- Works in a near identical way to the standard select box field, however there is no static options and entries are linked internally via their ID, meaning that if an entry is changed, any Select Box Link fields will not lose their link to that entry. The data on the front-end is presented in a way identical to that of a Section Link.

- Setting an instance of the field to be not required will cause an empty option to show up on the publish form.


### Change Log

*1.19*

- Allow the linked section's public column's visibility to be toggled

*1.18*

- Prevent NULL Relations from appearing in the Output XML

*1.17*

- Added missing translation strings
- Added localisation files for Dutch, German, Portuguese (Brazil) and Russian

*1.16*

- Fixed sort order of entries in select box. Corrected to use the column sort order. A bug in 1.13+ caused this particular issue to reappear. This fix is based on code by Nick Dunn initially introduced in 1.12.

*1.15*

- 'relation_id' can now be a NULL value. Fixes issue [#1](http://symphony-cms.com/download/extensions/issues/view/20054/1/)

*1.14*

- Made install and update functions more tolerant of existing tables
- Minor bug fixes for 2.0.7

*1.13*

- Added filtering by handle functionality (CreativeDutchmen)

*1.12*

- Fixed a couple of issues where 'related_field_id' was returning the wrong type. (rowan)
- In dropdown options, sort Sections by their Symphony order and sort Entries by their Symphony order (using EntryManager) (Nick Dunn)
- Sort Sections in field's settings panel by Symphony order (Nick Dunn)

*1.11*

- Fixed bug that triggered a database error in Symphony version greater than 2.0.6

*1.10*

- Added translations
- Possible to toggle values via publish tables

*1.9*

- Warnings about incorrect data type, origination from line 409, are now suppressed
- Fixed sorting to work when "random" is selected

*1.8*

- Fixed bug that caused no items to appear selected in publish area

*1.7*

- Updated fetchAssociatedEntrySearchValue() to make use of entry id passed in, if available

*1.6*

- Fixed problems with updating from a version earlier than 1.4

*1.5*

- Added a limit to the number of entries shown in select box
- Allowed selection of multiple source sections

*1.4*

- Enable Data Source param output for this field

*1.3*

- Fixed bug introduced in 1.2 that caused table values to disappear if the first field of the section is a "Select Box Link".

*1.2*

- Should correctly work with fields that do now use a 'value' column in the database. This would cause an empty select box.

*1.1*

- Added ability to set field to required/not required.
- Added multi-select property (thanks to czheng)
